Commit db060ca6 authored by dmorley's avatar dmorley

Merge branch 'yarn' into 'develop'

migrate to yarn 2

See merge request !275
parents efe2f2b8 d8ebb385
......@@ -2,3 +2,4 @@ bower_components
config.php
node_modules
vendor
/.yarn/
......@@ -40,11 +40,10 @@ deploy:
script:
- export DEBIAN_FRONTEND=noninteractive
- apt-get update && apt-get install -y sudo curl gnupg2
- curl -sS https://dl.yarnpkg.com/debian/pubkey.gpg | sudo apt-key add -
- echo "deb https://dl.yarnpkg.com/debian/ stable main" | sudo tee /etc/apt/sources.list.d/yarn.list
- apt-get update && apt-get install -y minify zip unzip php7.4 php7.4-curl php7.4-pgsql php7.4-bcmath php-geoip php7.4-cli php7.4-common php7.4-fpm php7.4-bcmath php7.4-json php7.4-readline php7.4-mbstring php7.4-xml php7.4-intl php-cgi git curl npm nodejs yarn
- apt-get update && apt-get install -y minify zip unzip php7.4 php7.4-curl php7.4-pgsql php7.4-bcmath php-geoip php7.4-cli php7.4-common php7.4-fpm php7.4-bcmath php7.4-json php7.4-readline php7.4-mbstring php7.4-xml php7.4-intl php-cgi git curl npm nodejs
- curl -sS https://getcomposer.org/installer | php
- php composer.phar install
- sudo npm install -g yarn
- yarn install
- minify -o js/podup.min.js js/podup.js
- minify -o css/poduptime.min.css css/poduptime.css
......
yarnPath: ".yarn/releases/yarn-berry.cjs"
nodeLinker: "node-modules"
\ No newline at end of file
......@@ -14,6 +14,7 @@ The format is based on [Keep a Changelog] and this project adheres to [Semantic
### Changed
- Tell robots not to follow links to pods
### Deprecated
- yarn 1.0 support
### Removed
### Fixed
- Show stats in proper order yymm
......
# Poduptime
Poduptime is software to get live stats and data on listed Diaspora and other Pods that support nodeinfo output.
Poduptime is software to get live stats and data on pods that support nodeinfo output.
# To Install:
......@@ -11,7 +11,7 @@ OS Dependencies:
php7.4 php7.4-curl php7.4-pgsql php7.4-bcmath php-geoip php7.4-cli php7.4-common php7.4-fpm php7.4-bcmath php7.4-json php7.4-readline php7.4-mbstring php7.4-xml php7.4-intl php-cgi git curl postgresql postgresql-contrib dnsutils bind9 npm nodejs composer
```
Yarn is a separate install: https://yarnpkg.com
Yarn is a separate install: sudo npm install -g yarn
Clone and setup:
......
{
"name": "poduptime",
"version": "2.7.0",
"version": "2.8.0",
"description": "Poduptime is software to get live stats and data on listed Diaspora Pods.",
"main": "index.php",
"dependencies": {
"@fortawesome/fontawesome-free": "^5.2.0",
"@popperjs/core": "^2.5.3",
"bootstrap": "^4.5.3",
"chart.js": "^2.9.4",
......@@ -15,8 +14,7 @@
"leaflet": "^1.4.1",
"leaflet.markercluster": "^1.4.1",
"popper.js": "^1.15.0",
"tablesorter": "^2.31.3",
"typeface-roboto": "^0.0.54"
"tablesorter": "^2.31.3"
},
"scripts": {
"test": "echo \"Error: no test specified\" && exit 1"
......
This diff is collapsed.
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment